cascading.tap.hadoop.io

## Class MultiInputSplit

- java.lang.Object
- - cascading.tap.hadoop.io.MultiInputSplit

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, org.apache.hadoop.mapred.InputSplit, org.apache.hadoop.mapred.JobConfigurable

    public class MultiInputSplit
    extends java.lang.Object
    implements org.apache.hadoop.mapred.InputSplit, org.apache.hadoop.mapred.JobConfigurable

Class MultiInputSplit is used by MultiInputFormat

### Field Summary

Fields
`static java.lang.String` `CASCADING_SOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`MultiInputSplit()` This constructor is used internally by Hadoop.
`MultiInputSplit(org.apache.hadoop.mapred.InputSplit inputSplit, java.util.Map<java.lang.String,java.lang.String> config)`

### Method Summary

Methods
`void` `configure(org.apache.hadoop.mapred.JobConf jobConf)`
`static java.lang.String` `getCurrentTapSourcePath(org.apache.hadoop.mapred.JobConf jobConf)` Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.
`long` `getLength()`
`java.lang.String[]` `getLocations()`
`org.apache.hadoop.mapred.InputSplit` `getWrappedInputSplit()`
`void` `readFields(java.io.DataInput in)`
`void` `write(java.io.DataOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CASCADING_SOURCE_PATH

    public static final java.lang.String CASCADING_SOURCE_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### MultiInputSplit

    public MultiInputSplit(org.apache.hadoop.mapred.InputSplit inputSplit,
                   java.util.Map<java.lang.String,java.lang.String> config)

#### MultiInputSplit

    public MultiInputSplit()

This constructor is used internally by Hadoop. it is expected `configure(org.apache.hadoop.mapred.JobConf)` and `readFields(java.io.DataInput)` are called to properly initialize.

### Method Detail

#### getCurrentTapSourcePath

    public static java.lang.String getCurrentTapSourcePath(org.apache.hadoop.mapred.JobConf jobConf)

Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.

Use this method inside an Operation to find the current file being processed.

Parameters:
  `jobConf` -
Returns:
  a String

#### configure

    public void configure(org.apache.hadoop.mapred.JobConf jobConf)

Specified by:
  `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`

#### getLength

    public long getLength()
                   throws java.io.IOException

Specified by:
  `getLength` in interface `org.apache.hadoop.mapred.InputSplit`
Throws:
  `java.io.IOException`

#### getLocations

    public java.lang.String[] getLocations()
                                    throws java.io.IOException

Specified by:
  `getLocations` in interface `org.apache.hadoop.mapred.InputSplit`
Throws:
  `java.io.IOException`

#### getWrappedInputSplit

    public org.apache.hadoop.mapred.InputSplit getWrappedInputSplit()

#### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `java.io.IOException`

#### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `java.io.IOException`